Subject: Re: mailing list in normal user account?

From: [email-masked] (Erik Dufek x3-2825)
Date: Mon, 27 Jun 94 18:14:28 CDT

> Has anyone implemented a mailing list with procmail that can be set up 
> without being root? It would need to be all in one account, the account
> of the user setting it up. All one address.

I'm not sure if this is what you mean, but why not set up an email
alias?  Our administrator has set several up for the different
functions in our department.  When someone goes on vacation, the alias
is changed to someone else.  What I do is act on these messages
depending on who they are addressed to; if to me, they go to my inbox;
if to the support address, it gets filed in a folder and a standard
reply is sent back.

If someone sends a message to [email-masked] it would go to your
account and you assemble a recipe to act on messages sent to list@...

> It's certainly possible: there could be some line in the header, or perhaps
> the first line of the body, indicating that it was for the mailing list, otherwise
> procmail would just put it in the users personal mailbox. If it was for the
> mailing list, procmail would send it out to everyone. Since the normal
> user wouldn't be able to set up a -request address, the normal address would
> need to handle all of that, seperating control messages from list messages,
> perhaps according to some indicator in the header of first line of the body.

Is a -request address the same as an alias?

>  
> I have need of setting up a smallish mailing list for some people within
> my own account, without the aid of the sysadmin. Has anyone created something
> like this already? 
> 
I don't think sysadmin would object to setting up a simple alias for
you, he may even want to subscribe to the list!